ASTSCRIPT-PSF-SELECT-STARS(1)

NAME
astscript-psf-select-stars - Select good stars for constructing the PSF

SYNOPSIS
astscript-psf-select-stars [OPTIONS] image.fits

DESCRIPTION
Build a catalogue of "good stars" that will be considered for constructing an extended and non parametric PSF. Here, "good stars" means that they don't have close objects that affect it sourrondings and consequently they are not contaminated. The script will construct a catalog of stars from reference datasets (Gaia) if the user does not provide another one. In addition to this, other parameters like the axis ratio are considered to filter the sample and select only proper stars.

  astscript-psf-select-stars options:

    Input:

-h, --hdu=STR/INT
    HDU/Extension name of number of the input file.

-S, --segmented=STR
    Segmentation file obtained by Segment (astsegment).

-D, --dataset=STR
    Query dataset ("gaia --dataset=edr3", etc.).

-r, --racolumn=STR
    Right Ascension (R.A.) column name.

-d, --deccolumn=STR
    Declination (Dec) column name.

-f, --field=STR
    Magnitude column name ("phot_rp_mean_mag", for Gaia).

-p, --parallaxanderrorcolumn=STR,STR The name of the parallax column.

-m, --magnituderange=FLT,FLT The range of magnitude.

-Q, --minaxisratio=FLT
    Minimum axis ratio to be accepted (default to 0.9).

-M, --mindistdeg=FLT
    Minimum distance to more bright neighbour stars. to be accepted, in degrees.

-c, --catalog=STR
    Catalog of stars containing: ra, dec, magnitude, parrallax, parrallax_error.

-a, --matchaperturedeg=FLT Aperture, in pixels, to match catalogue ra and
    dec coordinates with clumps' ra and dec.

-F, --faintmagdiff
    The difference from the faintest star which the user will be determined the faintest star in '--magnituderange' option.

-b, --brightmag
    The limit for selecting wider range of bright stars.

    Output:

-o, --output
    Output table with the object coordinates.

-t, --tmpdir
    Directory to keep temporary files.

-k, --keeptmp
    Keep temporal/auxiliar files.

    Operating mode:

-h, --help
    Print this help.

--cite
    BibTeX citation for this program.

-q, --quiet
    Don't print any extra information in stdout.

-V, --version
    Print program version.

Mandatory or optional arguments to long options are also mandatory or optional for any corresponfing short options.

GNU Astronomy Utilities home page: http://www.gnu.org/software/gnuastro/

REPORTING BUGS
Report bugs to bug-gnuastro@gnu.org

COPYRIGHT
Copyright © 2020-2024 Free Software Foundation, Inc. License GPLv3+: GNU General public license version 3 or later.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

Written/developed by Sepideh Eskandarlou.

SEE ALSO
The full documentation for astscript-psf-select-stars is maintained as a Texinfo manual. If the info and astscript-psf-select-stars programs are properly installed at your site, the command

    info astscript-psf-select-stars

should give you access to the complete manual.